#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long long int i, M, N, k=0, j=0;
    cin>>N>>M;
    long long int A[N-1], X[M-1], Y[M-1], P[N-1] = { };
    for(i=0;i<=N-1;i++)
    {
    	cin>>A[i];
	}
	for(i=0;i<=M-1;i++)
	{
		cin>>X[i]>>Y[i];
		P[X[i]-1]++;
		P[Y[i]-1]++;
	}
	for(i=0;i<=N-1;i++)
	{
		k+= A[i]*(P[i]-0);
	}
	for(i=0;i<=N-1;i++)
	{
		j+= A[i]*(0-P[i]);
	}
	if(k>j)
	cout<<k;
	else
	cout<<j;
    return 0;
}